$1 VIEW [dbo].[Magazalar_BelgeTipi_Ciro] AS
SELECT
		mgz_isim [Mağaza],
		CASE
			WHEN [evr_belge_tur] = 1 THEN 'FİŞ'
			WHEN [evr_belge_tur] = 2 THEN 'FATURA' END AS [Belge Tip],
			COUNT(distinct(evr_fis_no+evr_magaza_kod+evr_evrak_tarih)) [Adet],
		(SUM(CASE WHEN evr_belge_tur in (1,2) THEN evr_yekun ELSE 0 END))-(SUM(CASE WHEN evr_belge_tur in (3) THEN evr_yekun ELSE 0 END)) as [Tutar]
FROM
		EVRAK_UST_BILGI WITH(NOLOCK)
LEFT OUTER JOIN EVRAK_ODEME_BILGI WITH(NOLOCK) on odmhar_evrak_rec_id=evr_TempID
LEFT OUTER JOIN ODEME_TIPLERI WITH(NOLOCK) on odm_kod=odmhar_odeme_kod and odm_magazano=evr_magaza_kod
LEFT OUTER JOIN MAGAZA_TANIMLARI WITH(NOLOCK) on mgz_kod=evr_magaza_kod
WHERE 
		evr_belge_tur in (1,2,3)
group by 
		evr_belge_tur,mgz_isim
Having 	(SUM(CASE WHEN evr_belge_tur in (1,2) THEN evr_yekun ELSE 0 END))-(SUM(CASE WHEN evr_belge_tur in (3) THEN evr_yekun ELSE 0 END))>0
		;
